bkohler
Contributor
Contributor

Update Manager fails: "Host cannot download files from VMware vSphere Update Manager patch store. Check the network connectivity and firewall setup, and check esxupdate logs for details."

Hi i'm getting an error when trying to check compliance on my hosts in vCenter Update Manager.

Any ideas?

I already checked the endpoint http://192.168.1.3:9084/vum/repository/hostupdate/vmw/vmw-ESXi-6.7.0-metadata.zip

I can access this file through the broweser.

This is the esxupdate.log output:

2020-07-02T06:26:22Z esxupdate: 2163364: downloader: INFO: Downloading http://192.168.1.3:9084/vum/repository/hostupdate/vmw/vmw-ESXi-6.7.0-metadata.zip to /tmp/tmpq4h1y7_q

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR: An esxupdate error exception was caught:

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR: Traceback (most recent call last):

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 244, in _getfromurl

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 188, in _retry

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 208, in _download_to_file

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 180, in _urlopen

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 466, in open

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 484, in _open

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 444, in _call_chain

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 1282, in http_open

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 1257, in do_open

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 1224, in getresponse

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 307, in begin

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 268, in _read_status

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/socket.py", line 576, in readinto

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR: ConnectionResetError: [Errno 104] Connection reset by peer

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR: During handling of the above exception, another exception occurred:

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR: Traceback (most recent call last):

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 83, in DownloadMetadatas

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 335, in Get

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 246, in _getfromurl

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR: vmware.esximage.Downloader.DownloaderError: ('http://192.168.1.3:9084/vum/repository/hostupdate/vmw/vmw-ESXi-6.7.0-metadata.zip', '/tmp/tmpq4h1y7_q', '[Errno 104] Connection reset by peer')

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR: During handling of the above exception, another exception occurred:

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR: Traceback (most recent call last):

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/usr/sbin/esxupdate", line 239, in main

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:     cmd.Run()

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esx5update/Cmdline.py", line 105, in Run

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR:   File "/build/mts/release/bora-16316930/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 85, in DownloadMetadatas

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: ERROR: vmware.esximage.Errors.MetadataDownloadError: ('http://192.168.1.3:9084/vum/repository/hostupdate/vmw/vmw-ESXi-6.7.0-metadata.zip', None, "('http://192.168.1.3:9084/vum/repository/hostupdate/vmw/vmw-ESXi-6.7.0-metadata.zip', '/tmp/tmpq4h1y7_q', '[Errno 104] Connection reset by peer')")

2020-07-02T06:26:22Z esxupdate: 2163364: esxupdate: DEBUG: <<<

0 Kudos
3 Replies
scott28tt
VMware Employee
VMware Employee

Moderator: Thread moved to the Update Manager area.


-------------------------------------------------------------------------------------------------------------------------------------------------------------
VMware Training & Certification blog
0 Kudos
Ajay1988
VMware Employee
VMware Employee

Checking the link on a browser is not enough as the error is that ESXi cannot reach to that link.

Test the connectivity from ESXi directly .

nc -z 192.168.1.3 9084

VMware Knowledge Base

VMware Knowledge Base

If you think your queries have been answered
Mark this response as "Correct" or "Helpful".

Regards,
AJ
0 Kudos
bkohler
Contributor
Contributor

Hi,

i tested the connectivity from ESXi directly and it worked:

Connection to 192.168.1.3 9084 port [tcp/*] succeeded!

A​ny further ideas? Unfortunately the Update Manager still brings the errors although the network connection seems to be fine.

0 Kudos